routes/web.php
<?php

// Role permission ada di app/Http/helper.php
// file composer.json "files"
// middleware CheckPermission
// menambah role di helper.php
// make:model <directory>/modelname
Auth::routes();//default auth
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout'); // kalau mau logout pakai route ini

Route::get('/', function () {
    return redirect()->route('login');
});


Route::group(['middleware' => ['auth', 'disablepreventback']], function(){
/*
  !!! semua wajib masuk sini supaya kalau mau akses harus login dulu !!!
  kalau page yang tidak butuh login di taruh di atas !!!
  kalau mau akses page untuk user tertentu pakai middleware checkPermission: namarole
*/
        // User Controllers
        Route::resource('user', 'UserController');
        //routing khusus wilayah
        Route::get('wilayah/kota','GmfControlller@getKota')->name('kota');
        Route::get('wilayah/kecamatan','GmfControlller@getKecamatan');
        Route::get('wilayah/kelurahan', 'GmfControlller@getKelurahan');

        Route::get('/home', 'HomeController@index')->name('home'); //sukses login arahnya ke sini
        Route::post('password/reset', 'ProfileController@resetpassword');
        Route::get('password/form', 'ProfileController@formreset');
        Route::post('profile/avatar', 'ProfileController@avatar')->name('avatar');
        Route::post('profile/{id}', 'ProfileController@biodata');
        //Mitra
        Route::resource('mitra', 'MitraController');

        //GMF
        Route::resource('gmf', 'GmfControlller');
        Route::get('gmf/kota', 'GmfControlller@getKota');
        Route::get('gmf/data', 'GmfControlller@getGmf');


        //siswa
        Route::resource('siswa', 'SiswaController');
        //dewasa
        Route::get('siswa_dewasa','SiswaController@index_dewasa');
        Route::post('/siswa_dewasa','SiswaController@store_dewasa');
        // Route::get('/siswa_dewasa/create','SiswaController@create_dewasa');
        Route::get('/siswa_dewasa/{siswa_dewasa}','SiswaController@show_dewasa');
        Route::delete('/siswa_dewasa/{siswa_dewasa}','SiswaController@destroy_dewasa');
        Route::put('/siswa_dewasa/{siswa_dewasa}','SiswaController@update_dewasa');
        Route::get('/siswa_dewasa/{siswa_dewasa}/edit','SiswaController@edit_dewasa');

        //siswa-end

        Route::group(['middleware' => 'check-permission:admin'], function()
        {
            Route::resource('admin', 'AdminController');
        });
        Route::resource('profile', 'ProfileController');

Route::get('admin',['middleware'=>'check-permission:gmf','uses'=>'HomeController@index']);
//Route::resource('mitra', 'MitraController')->middleware('check-permission:cabang'); // contoh penggunaan middleware
});

app/Models/Mitra.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Mitra extends Model
{
     protected $table = 'tb_mitra';
     protected $primaryKey = 'id_mitra';
     //public $timestamps = false;
}

app/Http/Controllers/MitraController.php
<?php

namespace App\Http\Controllers;

use App\Models\Mitra;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Hash;
class MitraController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
      $data = DB::table('view_mitra')->get();
        return view('mitra.kelola-mitra',['data'=>$data]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
      $data =DB::table('tb_mitra')->get();
      $kota = DB::table('provinsi')->get();
      $daerah = DB::table('kabupaten')->get();
      $jenismitra = DB::table('tb_jenis_mitra')->get();
        return view('mitra.mitra-tambah',['data'=>$data,'wilayah'=>$kota,'kota'=>$daerah,'jenismitra'=>$jenismitra]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
      $gmf = new Mitra;

      $request->validate([
            'photo' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:4048',
        ]);
      $avatarName = $request->nik.'_photo'.time().'.'.request()->photo->getClientOriginalExtension(); // mengatur penamaan avatar

      $request->photo->storeAs('gmfphotos',$avatarName); // menyimpan avatar ke folder

      $gmf->photo = $avatarName; // setelah nama di atur di masukkan ke database
      $gmf->nik = $request->nik;
      $gmf->trainer = $request->trainer;
      $gmf->nomor_anggota = $request->nomor_anggota;
      $gmf->nama_mitra = $request->nama_mitra;
      $gmf->jenis_kelamin = $request->jenis_kelamin;
      $gmf->alamat = $request->alamat;
      $gmf->id_provinsi = $request->provinsi;
      $gmf->id_kabupaten = $request->kota;
      $gmf->id_kecamatan = $request->kecamatan;
      $gmf->id_kelurahan = $request->kelurahan;
      $gmf->warga_negara = $request->status_warga;
      $gmf->tgl_lahir = $request->tanggal;
      $gmf->status_kawin = $request->status_kawin;
      $gmf->warga_negara = $request->status_warga;
      $gmf->agama = $request->agama;
      $gmf->suku = $request->suku;
      $gmf->jumlah_anak_l = $request->jumlah_l;
      $gmf->jumlah_anak_p = $request->jumlah_p;
      $gmf->nomor_telp = $request->nomor;
      $gmf->pendidikan = $request->pendidikan;
      $gmf->pendidikan_lain = $request->other;
      $gmf->pekerjaan = $request->pekerjaan;
      $gmf->nip = $request->nip;
      $gmf->npwp = $request->npwp;
      $gmf->status_kepegawaian = $request->status_pegawai;
      $gmf->nama_lembaga = $request->lembaga;
      $gmf->tlp_lembaga = $request->telp_lembaga;
      $gmf->alamat_lembaga = $request->alamat_lembaga;
      $gmf->jabatan = $request->jabatan;
      $gmf->deskripsi = $request->deskripsi;
      $gmf->rt = $request->rt;
      $gmf->rw = $request->rw;
      $gmf->usia = $request->usia;
      $gmf->kota_lahir = $request->kotalahir;
      $gmf->id_jenis_mitra = $request->jenis_mitra;
      $gmf->save();
        return back()->with('status-mitra','data berhasil di simpan');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $mitra = DB::table('view_mitra')->where('id_mitra',$id)->first();
         return view ('mitra.mitra-dashboard')->with('data',$mitra);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
      $data = DB::table('view_mitra')->where('id_mitra',$id)->get();
      $provinsi = DB::table('provinsi')->get();
      $mitra = Mitra::find($id);
      //dd($mitra);
      $kota = DB::table('kabupaten')->where('IDKabupaten',$mitra->id_kabupaten)->first();
      $kecamatan = DB::table('kecamatan')->where('IDKecamatan',$mitra->id_kecamatan)->first();
      $kelurahan = DB::table('kelurahan')->where('IDKelurahan',$mitra->id_kelurahan)->first();
      $jenismitra = DB::table('tb_jenis_mitra')->get();
      //dd($kecamatan);
        return view('mitra.mitra-edit',['data'=>$data,'wilayah'=>$provinsi,'jenismitra'=>$jenismitra])->with('mitra',$mitra)->with('kabupaten',$kota)->with('kecamatan',$kecamatan)->with('kelurahan',$kelurahan);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
      $gmf = Mitra::find($id);


      $gmf->nik = $request->nik;
      $gmf->trainer = $request->is_trainer;
      $gmf->id_jenis_mitra = $request->jenis_mitra;
      $gmf->nomor_anggota = $request->nomor_anggota;
      $gmf->nomor_sanggar = $request->nomor_sanggar;
      $gmf->nomor_sertifikat = $request->nomor_sertifikat;
      $gmf->nomor_lisensi = $request->nomor_lisensi;
      $gmf->nama_mitra = $request->nama;
      $gmf->jenis_kelamin = $request->jenis_kelamin;
      $gmf->alamat = $request->alamat;
      $gmf->id_provinsi = $request->provinsi;
      $gmf->id_kabupaten = $request->kota;
      $gmf->id_kecamatan = $request->kecamatan;
      $gmf->id_kelurahan = $request->kelurahan;
      $gmf->warga_negara = $request->status_warga;
      $gmf->tgl_lahir = $request->tgl_lahir;
      $gmf->status_kawin = $request->status_kawin;
      $gmf->warga_negara = $request->status_warga;
      $gmf->agama = $request->agama;
      $gmf->suku = $request->suku;
      $gmf->jumlah_anak_l = $request->jumlah_l;
      $gmf->jumlah_anak_p = $request->jumlah_p;
      $gmf->nomor_telp = $request->nomor;
      $gmf->pendidikan = $request->pendidikan;
      $gmf->pendidikan_lain = $request->other;
      $gmf->pekerjaan = $request->pekerjaan;
      $gmf->nip = $request->nip;
      $gmf->npwp = $request->npwp;
      $gmf->status_kepegawaian = $request->status_pegawai;
      $gmf->nama_lembaga = $request->lembaga;
      $gmf->tlp_lembaga = $request->telp_lembaga;
      $gmf->alamat_lembaga = $request->alamat_lembaga;
      $gmf->jabatan = $request->jabatan;
      $gmf->deskripsi = $request->deskripsi;
      $gmf->kota_lahir = $request->kotalahir;
      $gmf->rt = $request->rt;
      $gmf->rw = $request->rw;
      $gmf->usia = $request->usia;

      // $request->validate([
      //       'photo' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:4048'
      //   ]);
      // $avatarName = $request->nik.'_photo'.time().'.'.request()->photo->getClientOriginalExtension(); // mengatur penamaan avatar
      // $request->photo->storeAs('gmfphotos',$avatarName); // menyimpan avatar ke folder
      //
      // $gmf->photo = $avatarName; // setelah nama di atur di masukkan ke database
      $gmf->save();
        return redirect()->route('mitra.index')->with('success-update','data update success');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        DB::table('tb_mitra')->where('id_mitra', $id)->delete();
        return back()->with('delete','Data Berhasil Dihapus');
    }
}

resources/views/mitra/kelola-mitra.blade.php
@extends('layouts.app')
@section('header')
<h5 class="m-b-10">Dashboard</h5>
@endsection
@section('css')

@endsection
@section('header')
<h5>Data Mitra</h5>
@endsection
@section('breadcrumb')
<ul class="breadcrumb-title">
    <li class="breadcrumb-item">
        <a href="{{ url('/') }}"> <i class="fa fa-home"></i> </a>
    </li>
    <li class="breadcrumb-item"><a href="#!">Mitra</a>
    </li>
</ul>
@endsection
@section('content')
<div class="row">
    <div class="col-md-12">
      @if (session('success-update'))
          <div class="alert alert-success alert-dismissable custom-success-box" style="margin: 15px;">
            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
       <strong> {{ session('success-update') }} </strong>
          </div>
      @endif
      @if (session('delete'))
          <div class="alert alert-success alert-dismissable custom-success-box" style="margin: 15px;">
            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
       <strong> {{ session('delete') }} </strong>
          </div>
      @endif
        <div class="card">
            <div class="card-header">
                <h5>Data Mitra</h5>
            </div>
            <div class="card-block">
                <div class="table-responsive">
                    <table id="tbMitra" class="table table-hover">
                        <thead>
                            <tr>
                                <th>No</th>
                                <th>Nama Mitra</th>
                                <th>Kemitraan</th>
                                <th>Lembaga</th>
                                <th>Alamat Lembaga</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php $no = 1;
                            @endphp
                            @forelse ($data as $mitra)
                            <tr>
                                <td hidden>{{ $mitra->id_mitra }}</td>
                                <td>{{ $no++ }}</td>
                                <td>{{ $mitra->nama_mitra }}</td>
                                <td>{{ $mitra->jenis_mitra }}</td>
                                <td>{{ $mitra->nama_lembaga }}</td>
                                <td>{{ $mitra->alamat_lembaga }}</td>
                                <td>
                                    <button class="btn waves-effect waves-dark btn-warning btn-mat btnEdit" onclick="location.href='{{ route('mitra.edit',$mitra->id_mitra) }}'">Edit</button>
                                    <button class="btn waves-effect waves-dark btn-mat btn-primary" onclick="location.href='{{ route('mitra.show',$mitra->id_mitra) }}'">Lihat</button>

                                  <form action="{{ route('mitra.destroy', $mitra->id_mitra) }}" method="post" style="display:inline-block">
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn waves-effect waves-dark btn-danger btn-mat btnDelete"><i class="ti-trash"></i></button>
                                  </form>

                                </td>
                            </tr>
                            @empty
                            <div class="alert alert-danger">
                                <strong>Data Masih Kosong !</strong>
                            </div>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
    </div>

</div>

@endsection
@section('javascript')
  {{-- <script src="js/kelola-mitra.js" charset="utf-8"></script> --}}
<script>
// $(document).ready(function() {
//   console.log('kelola mitra ready');
// });
//
// $('#tbMitra').on('click', '.btnEdit', function(event) {
//   event.preventDefault();
//   var id = $(this).closest('tr').find('td:eq(0)').text();
//   console.log(id);
//   /* Act on the event */
//   $('.edit').attr('readonly',false);
//   $(this).attr('hidden',true);
//   $('#btnSave').attr('hidden',false);
// });
//
// $('.btnSave').click(function(event) {
//   $('.edit').attr('readonly',true);
//     $('#btnEdit').attr('hidden',false);
// });

</script>
@endsection

resources/views/mitra/mitra-dashboard.blade.php
@extends('layouts.app')
@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                <h4>Biodata Mitra</h4>
            </div>
            <div class="card-block">
                <div class="row">
                    <div class="col-md-4 col-sm-4 col-xl-4">
                        <img src="{{ url('storage/gmfphotos/'.$data->photo) }}" class="" alt="User-Profile-Image" style="width:240px;height:240px;">
                    </div>
                    <div class="col-md-8 col-sm-8 col-xl-8">
                      <div class="col-md-12 col-sm-12 col-xl-12">
                        <ul class="nav nav-tabs md-tabs" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" data-toggle="tab" href="#datadiri" role="tab">Data Diri</a>
                                <div class="slide"></div>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#sanggar" role="tab">Lembaga</a>
                                <div class="slide"></div>
                            </li>
                        </ul>
                      </div>
                        {{-- Tab Panes --}}
                        <div class="col-md-12 col-sm-12 col-xl-12">
                        <div class="tab-content card-block">
                            <div class="tab-pane active" id="datadiri" role="tabpanel">
                                <div class="form-group row">
                                    <label class="col-sm-3">Nama</label>
                                    <div class="col-sm-5">
                                        <div class="form-control-static">{{ $data->nama_mitra }}
                                        </div> <span>{{ $data->jenis_kelamin }}</span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3">NIK</label>
                                    <div class="col-sm-5">
                                        <div class="form-control-static">{{ $data->nik }}</div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3">Tempat tgl lahir</label>
                                    <div class="col-sm-5">
                                        <div class="form-control-static">{{ $data->kota_lahir }} {{ $data->tgl_lahir }}</div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3">Nomor Anggota</label>
                                    <div class="col-sm-5">
                                        <div class="form-control-static">{{ $data->nomor_anggota }}</div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3">Nomor Telp</label>
                                    <div class="col-sm-5">
                                        <div class="form-control-static">+62 {{ $data->nomor_telp }}</div>
                                    </div>


                                </div>
                            </div>
                            <div class="tab-pane" id="sanggar" role="tabpanel">
                              <div class="form-group row">
                                <label class="col-sm-3">Nama Lembaga</label>
                                <div class="col-sm-5">
                                  <div class="form-control-static">
                                    {{ $data->nama_lembaga }}
                                  </div>
                                </div>
                              </div>
                              <div class="form-group row">
                                <label class="col-sm-3">Telp Lembaga</label>
                                <div class="col-sm-5">
                                  <div class="form-control-static">
                                    +62 {{ $data->tlp_lembaga }}
                                  </div>
                                </div>
                              </div>

                            </div>
                        </div>
                      </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/mitra/mitra-home.blade.php
@extends('layouts.app')